Module org.eclipse.microprofile.openapi
Package org.eclipse.microprofile.openapi.annotations.enums

# Enum ParameterStyle

java.lang.Object
java.lang.Enum<ParameterStyle>
org.eclipse.microprofile.openapi.annotations.enums.ParameterStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<ParameterStyle>`

public enum ParameterStyle extends Enum<ParameterStyle>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEEPOBJECT`
`DEFAULT`
`FORM`
`LABEL`
`MATRIX`
`PIPEDELIMITED`
`SIMPLE`
`SPACEDELIMITED`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static ParameterStyle`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ParameterStyle[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEFAULT

public static final ParameterStyle DEFAULT

### MATRIX

public static final ParameterStyle MATRIX

### LABEL

public static final ParameterStyle LABEL

### FORM

public static final ParameterStyle FORM

### SPACEDELIMITED

public static final ParameterStyle SPACEDELIMITED

### PIPEDELIMITED

public static final ParameterStyle PIPEDELIMITED

### DEEPOBJECT

public static final ParameterStyle DEEPOBJECT

### SIMPLE

public static final ParameterStyle SIMPLE

## Method Details

### values

public static ParameterStyle[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ParameterStyle valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<ParameterStyle>`